Subject: Re: bug#16730: ls -dF double trailing slash bug

From: Radko Dinev <[email-masked]>
Date: Wed, 12 Feb 2014 19:15:24 +0200

I was just wondering whether ls should normalize filenames that the user
typed.
Eric was kind enough to clarify that this would violate POSIX.

Thank you.

On Wed, Feb 12, 2014 at 7:11 PM, Radko Dinev <[email-masked]> wrote:

> I see. Thank you, Eric!
> All the best! :)
>
> P. S. I accidentally mailed you not paying attention it was not the bug
> I'm replying to but your email. I am sorry :)
>
>
> On Wed, Feb 12, 2014 at 7:08 PM, Eric Blake <[email-masked]> wrote:
>
>> On 02/12/2014 10:03 AM, Radko Dinev wrote:
>> > $ ls -d somedir
>> > somedir
>> > $ ls -d somedir/
>> > somedir/
>> > $ ls -d ./somedir
>> > ./somedir
>> > $ ls -d ./somedir/
>> > ./somedir/
>> >
>> > It's the same directory being referred to in 4 different ways and shown
>> > with 4 different filenames in ls.
>> > Just wondering whether ls should somehow "normalize" the file name?
>>
>> https://rwmj.wordpress.com/2010/11/08/want-help-dont-email-me-directly/
>>
>> But no, ls should not normalize file names that the user typed, as it
>> would violate POSIX.
>>
>> --
>> Eric Blake   eblake redhat com    +1-919-301-3266
>> Libvirt virtualization library http://libvirt.org
>>
>>
>